
_addModbusBlock:

;modbus.c,74 :: 		void (*pCallback)(struct _modbusBlock* pBlock)) {
;modbus.c,77 :: 		if ( bytSlaveAddress < 1 || bytSlaveAddress > 247 ) {
	MOVLW       1
	SUBWF       FARG_addModbusBlock_bytSlaveAddress+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__addModbusBlock51
	MOVF        FARG_addModbusBlock_bytSlaveAddress+0, 0 
	SUBLW       247
	BTFSS       STATUS+0, 0 
	GOTO        L__addModbusBlock51
	GOTO        L_addModbusBlock2
L__addModbusBlock51:
;modbus.c,78 :: 		return FALSE;
	CLRF        R0 
	GOTO        L_end_addModbusBlock
;modbus.c,79 :: 		}
L_addModbusBlock2:
;modbus.c,82 :: 		|| uintAddress == 0
	MOVLW       0
	XORWF       FARG_addModbusBlock_pBlock+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__addModbusBlock54
	MOVLW       0
	XORWF       FARG_addModbusBlock_pBlock+0, 0 
L__addModbusBlock54:
	BTFSC       STATUS+0, 2 
	GOTO        L__addModbusBlock50
	MOVLW       0
	XORWF       FARG_addModbusBlock_uintAddress+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__addModbusBlock55
	MOVLW       0
	XORWF       FARG_addModbusBlock_uintAddress+0, 0 
L__addModbusBlock55:
	BTFSC       STATUS+0, 2 
	GOTO        L__addModbusBlock50
;modbus.c,83 :: 		|| uintTotal == 0
	MOVLW       0
	XORWF       FARG_addModbusBlock_uintTotal+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__addModbusBlock56
	MOVLW       0
	XORWF       FARG_addModbusBlock_uintTotal+0, 0 
L__addModbusBlock56:
	BTFSC       STATUS+0, 2 
	GOTO        L__addModbusBlock50
;modbus.c,84 :: 		|| paryData == NULL ) {
	MOVLW       0
	XORWF       FARG_addModbusBlock_paryData+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__addModbusBlock57
	MOVLW       0
	XORWF       FARG_addModbusBlock_paryData+0, 0 
L__addModbusBlock57:
	BTFSC       STATUS+0, 2 
	GOTO        L__addModbusBlock50
	GOTO        L_addModbusBlock5
L__addModbusBlock50:
;modbus.c,85 :: 		return FALSE;
	CLRF        R0 
	GOTO        L_end_addModbusBlock
;modbus.c,86 :: 		}
L_addModbusBlock5:
;modbus.c,87 :: 		if ( eType == COILS ) {
	MOVF        FARG_addModbusBlock_eType+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_addModbusBlock6
;modbus.c,88 :: 		pLL   = &pCoils;
	MOVLW       _pCoils+0
	MOVWF       R6 
	MOVLW       hi_addr(_pCoils+0)
	MOVWF       R7 
;modbus.c,89 :: 		} else if ( eType == STATUS_INPUTS ) {
	GOTO        L_addModbusBlock7
L_addModbusBlock6:
	MOVF        FARG_addModbusBlock_eType+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_addModbusBlock8
;modbus.c,90 :: 		pLL   = &pStatusBits;
	MOVLW       _pStatusBits+0
	MOVWF       R6 
	MOVLW       hi_addr(_pStatusBits+0)
	MOVWF       R7 
;modbus.c,91 :: 		} else if ( eType == HOLDING_REGISTERS ) {
	GOTO        L_addModbusBlock9
L_addModbusBlock8:
	MOVF        FARG_addModbusBlock_eType+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_addModbusBlock10
;modbus.c,92 :: 		pLL   = &pHoldingRegs;
	MOVLW       _pHoldingRegs+0
	MOVWF       R6 
	MOVLW       hi_addr(_pHoldingRegs+0)
	MOVWF       R7 
;modbus.c,93 :: 		} else if ( eType == INPUT_REGISTERS ) {
	GOTO        L_addModbusBlock11
L_addModbusBlock10:
	MOVF        FARG_addModbusBlock_eType+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L_addModbusBlock12
;modbus.c,94 :: 		pLL   = &pInputRegs;
	MOVLW       _pInputRegs+0
	MOVWF       R6 
	MOVLW       hi_addr(_pInputRegs+0)
	MOVWF       R7 
;modbus.c,95 :: 		} else {
	GOTO        L_addModbusBlock13
L_addModbusBlock12:
;modbus.c,96 :: 		return FALSE;
	CLRF        R0 
	GOTO        L_end_addModbusBlock
;modbus.c,97 :: 		}
L_addModbusBlock13:
L_addModbusBlock11:
L_addModbusBlock9:
L_addModbusBlock7:
;modbus.c,98 :: 		if ( *pLL == NULL ) {
	MOVFF       R6, FSR0
	MOVFF       R7, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__addModbusBlock58
	MOVLW       0
	XORWF       R1, 0 
L__addModbusBlock58:
	BTFSS       STATUS+0, 2 
	GOTO        L_addModbusBlock14
;modbus.c,100 :: 		*pLL = pBlock;
	MOVFF       R6, FSR1
	MOVFF       R7, FSR1H
	MOVF        FARG_addModbusBlock_pBlock+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        FARG_addModbusBlock_pBlock+1, 0 
	MOVWF       POSTINC1+0 
;modbus.c,101 :: 		} else {
	GOTO        L_addModbusBlock15
L_addModbusBlock14:
;modbus.c,104 :: 		for( pNode=*pLL; pNode->pNext!=NULL; pNode=pNode->pNext ) {
	MOVFF       R6, FSR0
	MOVFF       R7, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        POSTINC0+0, 0 
	MOVWF       R5 
L_addModbusBlock16:
	MOVLW       12
	ADDWF       R4, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      R5, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVF        POSTINC0+0, 0 
	MOVWF       R2 
	MOVLW       0
	XORWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__addModbusBlock59
	MOVLW       0
	XORWF       R1, 0 
L__addModbusBlock59:
	BTFSC       STATUS+0, 2 
	GOTO        L_addModbusBlock17
;modbus.c,105 :: 		if ( uintAddress >= pNode->uintAddress
	MOVLW       2
	ADDWF       R4, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      R5, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	MOVWF       R1 
	MOVF        POSTINC2+0, 0 
	MOVWF       R2 
;modbus.c,106 :: 		&& uintAddress <= (pNode->uintAddress + pNode->uintTotal - 1)  ) {
	MOVF        R2, 0 
	SUBWF       FARG_addModbusBlock_uintAddress+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__addModbusBlock60
	MOVF        R1, 0 
	SUBWF       FARG_addModbusBlock_uintAddress+0, 0 
L__addModbusBlock60:
	BTFSS       STATUS+0, 0 
	GOTO        L_addModbusBlock21
	MOVLW       2
	ADDWF       R4, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      R5, 0 
	MOVWF       FSR0H 
	MOVLW       4
	ADDWF       R4, 0 
	MOVWF       FSR2 
	MOVLW       0
	ADDWFC      R5, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC2+0, 0 
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVLW       1
	SUBWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	SUBWFB      R1, 0 
	MOVWF       R3 
	MOVF        FARG_addModbusBlock_uintAddress+1, 0 
	SUBWF       R3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__addModbusBlock61
	MOVF        FARG_addModbusBlock_uintAddress+0, 0 
	SUBWF       R2, 0 
L__addModbusBlock61:
	BTFSS       STATUS+0, 0 
	GOTO        L_addModbusBlock21
L__addModbusBlock49:
;modbus.c,108 :: 		return FALSE;
	CLRF        R0 
	GOTO        L_end_addModbusBlock
;modbus.c,109 :: 		}
L_addModbusBlock21:
;modbus.c,104 :: 		for( pNode=*pLL; pNode->pNext!=NULL; pNode=pNode->pNext ) {
	MOVLW       12
	ADDWF       R4, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      R5, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R4 
	MOVF        POSTINC0+0, 0 
	MOVWF       R5 
;modbus.c,110 :: 		}
	GOTO        L_addModbusBlock16
L_addModbusBlock17:
;modbus.c,112 :: 		pNode->pNext = pBlock;
	MOVLW       12
	ADDWF       R4, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R5, 0 
	MOVWF       FSR1H 
	MOVF        FARG_addModbusBlock_pBlock+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        FARG_addModbusBlock_pBlock+1, 0 
	MOVWF       POSTINC1+0 
;modbus.c,113 :: 		}
L_addModbusBlock15:
;modbus.c,115 :: 		pBlock->bytSlaveAddress = bytSlaveAddress;
	MOVFF       FARG_addModbusBlock_pBlock+0, FSR1
	MOVFF       FARG_addModbusBlock_pBlock+1, FSR1H
	MOVF        FARG_addModbusBlock_bytSlaveAddress+0, 0 
	MOVWF       POSTINC1+0 
;modbus.c,116 :: 		pBlock->eType           = eType;
	MOVLW       1
	ADDWF       FARG_addModbusBlock_pBlock+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_addModbusBlock_pBlock+1, 0 
	MOVWF       FSR1H 
	MOVF        FARG_addModbusBlock_eType+0, 0 
	MOVWF       POSTINC1+0 
;modbus.c,117 :: 		pBlock->uintAddress     = uintAddress;
	MOVLW       2
	ADDWF       FARG_addModbusBlock_pBlock+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_addModbusBlock_pBlock+1, 0 
	MOVWF       FSR1H 
	MOVF        FARG_addModbusBlock_uintAddress+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        FARG_addModbusBlock_uintAddress+1, 0 
	MOVWF       POSTINC1+0 
;modbus.c,118 :: 		pBlock->uintTotal       = uintTotal;
	MOVLW       4
	ADDWF       FARG_addModbusBlock_pBlock+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_addModbusBlock_pBlock+1, 0 
	MOVWF       FSR1H 
	MOVF        FARG_addModbusBlock_uintTotal+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        FARG_addModbusBlock_uintTotal+1, 0 
	MOVWF       POSTINC1+0 
;modbus.c,119 :: 		pBlock->paryData        = paryData;
	MOVLW       6
	ADDWF       FARG_addModbusBlock_pBlock+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_addModbusBlock_pBlock+1, 0 
	MOVWF       FSR1H 
	MOVF        FARG_addModbusBlock_paryData+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        FARG_addModbusBlock_paryData+1, 0 
	MOVWF       POSTINC1+0 
;modbus.c,120 :: 		pBlock->pCallback       = pCallback;
	MOVLW       8
	ADDWF       FARG_addModbusBlock_pBlock+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_addModbusBlock_pBlock+1, 0 
	MOVWF       FSR1H 
	MOVF        FARG_addModbusBlock_pCallback+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        FARG_addModbusBlock_pCallback+1, 0 
	MOVWF       POSTINC1+0 
	MOVF        FARG_addModbusBlock_pCallback+2, 0 
	MOVWF       POSTINC1+0 
	MOVF        FARG_addModbusBlock_pCallback+3, 0 
	MOVWF       POSTINC1+0 
;modbus.c,121 :: 		pBlock->pNext           = NULL;
	MOVLW       12
	ADDWF       FARG_addModbusBlock_pBlock+0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      FARG_addModbusBlock_pBlock+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	CLRF        POSTINC1+0 
;modbus.c,122 :: 		}
L_end_addModbusBlock:
	RETURN      0
; end of _addModbusBlock

_calcCRC:

;modbus.c,138 :: 		uint calcCRC(void) {
;modbus.c,141 :: 		movff    _bytMbIndex, R2     // byte count in R2
	MOVFF       _bytMbIndex+0, R2
;modbus.c,142 :: 		lfsr     0, _arybytMbBuffer  // point to arybytMbBuffer
	LFSR        0, _arybytMbBuffer+0
;modbus.c,143 :: 		setf     R0                  // preset CRC
	SETF        R0, 1
;modbus.c,144 :: 		setf     R1
	SETF        R1, 1
;modbus.c,145 :: 		MBgetCRC1:
MBgetCRC1:
;modbus.c,146 :: 		movf     POSTINC0,W          // xor byte with CRClo
	MOVF        POSTINC0+0, 0, 1
;modbus.c,147 :: 		xorwf    R0,F
	XORWF       R0, 1, 1
;modbus.c,148 :: 		movlw    8                   // bit count in R3
	MOVLW       8
;modbus.c,149 :: 		movwf    R3
	MOVWF       R3, 1
;modbus.c,150 :: 		MBgetCRC2:
MBgetCRC2:
;modbus.c,151 :: 		bcf      STATUS,C
	BCF         STATUS+0, 0, 1
;modbus.c,152 :: 		rrcf     R1,F
	RRCF        R1, 1, 1
;modbus.c,153 :: 		rrcf     R0,F
	RRCF        R0, 1, 1
;modbus.c,154 :: 		bnc      $+10
	BNC         $+10
;modbus.c,155 :: 		movlw    0xA0
	MOVLW       160
;modbus.c,156 :: 		xorwf    R1,F
	XORWF       R1, 1, 1
;modbus.c,157 :: 		movlw    0x01
	MOVLW       1
;modbus.c,158 :: 		xorwf    R0,F
	XORWF       R0, 1, 1
;modbus.c,159 :: 		decfsz   R3,F
	DECFSZ      R3, 1, 1
;modbus.c,160 :: 		bra      MBgetCRC2
	BRA         MBgetCRC2
;modbus.c,161 :: 		decfsz   R2,F
	DECFSZ      R2, 1, 1
;modbus.c,162 :: 		bra      MBgetCRC1
	BRA         MBgetCRC1
;modbus.c,163 :: 		return
	RETURN      0
;modbus.c,165 :: 		return 0;
	CLRF        R0 
	CLRF        R1 
;modbus.c,166 :: 		}
L_end_calcCRC:
	RETURN      0
; end of _calcCRC

_modbusSerialInit:

;modbus.c,179 :: 		int modbusSerialInit(baudRate eBaud, const byte bytStopBits, ...) {
;modbus.c,184 :: 		va_start(ap, bytStopBits);
	MOVLW       FARG_modbusSerialInit_bytStopBits+1
	MOVWF       modbusSerialInit_ap_L0+0 
	MOVLW       hi_addr(FARG_modbusSerialInit_bytStopBits+1)
	MOVWF       modbusSerialInit_ap_L0+1 
;modbus.c,186 :: 		bytMbSlaveAddress = va_arg(ap, byte);
	MOVLW       modbusSerialInit_ap_L0+0
	MOVWF       R2 
	MOVLW       hi_addr(modbusSerialInit_ap_L0+0)
	MOVWF       R3 
	MOVFF       R2, FSR0
	MOVFF       R3, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        POSTINC0+0, 0 
	MOVWF       R1 
	MOVFF       R0, FSR0
	MOVFF       R1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       _bytMbSlaveAddress+0 
	MOVFF       R2, FSR0
	MOVFF       R3, FSR0H
	MOVLW       1
	ADDWF       POSTINC0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      POSTINC0+0, 0 
	MOVWF       R1 
	MOVFF       R2, FSR1
	MOVFF       R3, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;modbus.c,188 :: 		memset(arybytMbBuffer, 0, sizeof(arybytMbBuffer));
	MOVLW       _arybytMbBuffer+0
	MOVWF       FARG_memset_p1+0 
	MOVLW       hi_addr(_arybytMbBuffer+0)
	MOVWF       FARG_memset_p1+1 
	CLRF        FARG_memset_character+0 
	MOVLW       0
	MOVWF       FARG_memset_n+0 
	MOVLW       1
	MOVWF       FARG_memset_n+1 
	CALL        _memset+0, 0
;modbus.c,190 :: 		uintMbRxGap = 0;
	CLRF        _uintMbRxGap+0 
	CLRF        _uintMbRxGap+1 
;modbus.c,192 :: 		eMbExceptionCode = NO_EXCEPTION;
	CLRF        _eMbExceptionCode+0 
;modbus.c,194 :: 		switch( eBaud ) {
	GOTO        L_modbusSerialInit25
;modbus.c,195 :: 		case BAUD_1200:
L_modbusSerialInit27:
;modbus.c,196 :: 		UART1_Init(BAUD_1200 * 100);
	BSF         BAUDCON+0, 3, 0
	MOVLW       26
	MOVWF       SPBRGH+0 
	MOVLW       10
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;modbus.c,197 :: 		lngTimeoutPreset  = GAP_SETPT_1200;
	MOVLW       234
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+0 
	MOVLW       60
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+1 
	MOVLW       2
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+2 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+3 
;modbus.c,198 :: 		uintPacketTimeout = PACKET_TIMEOUT_1200;
	MOVLW       190
	MOVWF       _uintPacketTimeout+0 
	MOVLW       10
	MOVWF       _uintPacketTimeout+1 
;modbus.c,199 :: 		break;
	GOTO        L_modbusSerialInit26
;modbus.c,200 :: 		case BAUD_2400:
L_modbusSerialInit28:
;modbus.c,201 :: 		UART1_Init(BAUD_2400 * 100);
	BSF         BAUDCON+0, 3, 0
	MOVLW       13
	MOVWF       SPBRGH+0 
	MOVLW       4
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;modbus.c,202 :: 		lngTimeoutPreset  = GAP_SETPT_2400;
	MOVLW       117
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+0 
	MOVLW       30
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+1 
	MOVLW       1
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+2 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+3 
;modbus.c,203 :: 		uintPacketTimeout = PACKET_TIMEOUT_2400;
	MOVLW       95
	MOVWF       _uintPacketTimeout+0 
	MOVLW       5
	MOVWF       _uintPacketTimeout+1 
;modbus.c,204 :: 		break;
	GOTO        L_modbusSerialInit26
;modbus.c,205 :: 		case BAUD_4800:
L_modbusSerialInit29:
;modbus.c,206 :: 		UART1_Init(BAUD_4800 * 100);
	BSF         BAUDCON+0, 3, 0
	MOVLW       6
	MOVWF       SPBRGH+0 
	MOVLW       130
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;modbus.c,207 :: 		lngTimeoutPreset  = GAP_SETPT_4800;
	MOVLW       58
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+0 
	MOVLW       143
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+1 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+2 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+3 
;modbus.c,208 :: 		uintPacketTimeout = PACKET_TIMEOUT_4800;
	MOVLW       176
	MOVWF       _uintPacketTimeout+0 
	MOVLW       2
	MOVWF       _uintPacketTimeout+1 
;modbus.c,209 :: 		break;
	GOTO        L_modbusSerialInit26
;modbus.c,210 :: 		case BAUD_9600:
L_modbusSerialInit30:
;modbus.c,211 :: 		UART1_Init(BAUD_9600 * 100);
	BSF         BAUDCON+0, 3, 0
	MOVLW       3
	MOVWF       SPBRGH+0 
	MOVLW       64
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;modbus.c,212 :: 		lngTimeoutPreset  = GAP_SETPT_9600;
	MOVLW       157
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+0 
	MOVLW       71
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+1 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+2 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+3 
;modbus.c,213 :: 		uintPacketTimeout = PACKET_TIMEOUT_9600;
	MOVLW       88
	MOVWF       _uintPacketTimeout+0 
	MOVLW       1
	MOVWF       _uintPacketTimeout+1 
;modbus.c,214 :: 		break;
	GOTO        L_modbusSerialInit26
;modbus.c,215 :: 		case BAUD_19200:
L_modbusSerialInit31:
;modbus.c,216 :: 		UART1_Init(BAUD_19200 * 100);
	BSF         BAUDCON+0, 3, 0
	MOVLW       1
	MOVWF       SPBRGH+0 
	MOVLW       160
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;modbus.c,217 :: 		lngTimeoutPreset  = GAP_SETPT_19200;
	MOVLW       206
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+0 
	MOVLW       35
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+1 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+2 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+3 
;modbus.c,218 :: 		uintPacketTimeout = PACKET_TIMEOUT_19200;
	MOVLW       172
	MOVWF       _uintPacketTimeout+0 
	MOVLW       0
	MOVWF       _uintPacketTimeout+1 
;modbus.c,219 :: 		break;
	GOTO        L_modbusSerialInit26
;modbus.c,220 :: 		case BAUD_38400:
L_modbusSerialInit32:
;modbus.c,221 :: 		UART1_Init(BAUD_38400 * 100);
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       207
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;modbus.c,222 :: 		lngTimeoutPreset  = GAP_SETPT_38400;
	MOVLW       231
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+0 
	MOVLW       17
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+1 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+2 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+3 
;modbus.c,223 :: 		uintPacketTimeout = PACKET_TIMEOUT_38400;
	MOVLW       86
	MOVWF       _uintPacketTimeout+0 
	MOVLW       0
	MOVWF       _uintPacketTimeout+1 
;modbus.c,224 :: 		break;
	GOTO        L_modbusSerialInit26
;modbus.c,225 :: 		case BAUD_57600:
L_modbusSerialInit33:
;modbus.c,226 :: 		UART1_Init(BAUD_57600 * 100);
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       138
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;modbus.c,227 :: 		lngTimeoutPreset  = GAP_SETPT_57600;
	MOVLW       239
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+0 
	MOVLW       11
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+1 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+2 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+3 
;modbus.c,228 :: 		uintPacketTimeout = PACKET_TIMEOUT_57600;
	MOVLW       57
	MOVWF       _uintPacketTimeout+0 
	MOVLW       0
	MOVWF       _uintPacketTimeout+1 
;modbus.c,229 :: 		break;
	GOTO        L_modbusSerialInit26
;modbus.c,230 :: 		case BAUD_115200:
L_modbusSerialInit34:
;modbus.c,231 :: 		UART1_Init(BAUD_115200 * 100);
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       68
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;modbus.c,232 :: 		lngTimeoutPreset  = GAP_SETPT_115200;
	MOVLW       247
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+0 
	MOVLW       5
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+1 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+2 
	MOVLW       0
	MOVWF       modbusSerialInit_lngTimeoutPreset_L0+3 
;modbus.c,233 :: 		uintPacketTimeout = PACKET_TIMEOUT_115200;
	MOVLW       29
	MOVWF       _uintPacketTimeout+0 
	MOVLW       0
	MOVWF       _uintPacketTimeout+1 
;modbus.c,234 :: 		break;
	GOTO        L_modbusSerialInit26
;modbus.c,235 :: 		default:
L_modbusSerialInit35:
;modbus.c,236 :: 		return -1;
	MOVLW       255
	MOVWF       R0 
	MOVLW       255
	MOVWF       R1 
	GOTO        L_end_modbusSerialInit
;modbus.c,237 :: 		}
L_modbusSerialInit25:
	MOVF        FARG_modbusSerialInit_eBaud+1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit64
	MOVLW       12
	XORWF       FARG_modbusSerialInit_eBaud+0, 0 
L__modbusSerialInit64:
	BTFSC       STATUS+0, 2 
	GOTO        L_modbusSerialInit27
	MOVF        FARG_modbusSerialInit_eBaud+1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit65
	MOVLW       24
	XORWF       FARG_modbusSerialInit_eBaud+0, 0 
L__modbusSerialInit65:
	BTFSC       STATUS+0, 2 
	GOTO        L_modbusSerialInit28
	MOVF        FARG_modbusSerialInit_eBaud+1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit66
	MOVLW       48
	XORWF       FARG_modbusSerialInit_eBaud+0, 0 
L__modbusSerialInit66:
	BTFSC       STATUS+0, 2 
	GOTO        L_modbusSerialInit29
	MOVF        FARG_modbusSerialInit_eBaud+1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit67
	MOVLW       96
	XORWF       FARG_modbusSerialInit_eBaud+0, 0 
L__modbusSerialInit67:
	BTFSC       STATUS+0, 2 
	GOTO        L_modbusSerialInit30
	MOVF        FARG_modbusSerialInit_eBaud+1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit68
	MOVLW       192
	XORWF       FARG_modbusSerialInit_eBaud+0, 0 
L__modbusSerialInit68:
	BTFSC       STATUS+0, 2 
	GOTO        L_modbusSerialInit31
	MOVF        FARG_modbusSerialInit_eBaud+1, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit69
	MOVLW       128
	XORWF       FARG_modbusSerialInit_eBaud+0, 0 
L__modbusSerialInit69:
	BTFSC       STATUS+0, 2 
	GOTO        L_modbusSerialInit32
	MOVF        FARG_modbusSerialInit_eBaud+1, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit70
	MOVLW       64
	XORWF       FARG_modbusSerialInit_eBaud+0, 0 
L__modbusSerialInit70:
	BTFSC       STATUS+0, 2 
	GOTO        L_modbusSerialInit33
	MOVF        FARG_modbusSerialInit_eBaud+1, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit71
	MOVLW       128
	XORWF       FARG_modbusSerialInit_eBaud+0, 0 
L__modbusSerialInit71:
	BTFSC       STATUS+0, 2 
	GOTO        L_modbusSerialInit34
	GOTO        L_modbusSerialInit35
L_modbusSerialInit26:
;modbus.c,239 :: 		Delay_ms(100);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_modbusSerialInit36:
	DECFSZ      R13, 1, 1
	BRA         L_modbusSerialInit36
	DECFSZ      R12, 1, 1
	BRA         L_modbusSerialInit36
	DECFSZ      R11, 1, 1
	BRA         L_modbusSerialInit36
;modbus.c,243 :: 		T0CON.TMR0ON = 0;// Timer0 On/Off Control bit 1=Enables / 0=Stops
	BCF         T0CON+0, 7 
;modbus.c,244 :: 		T0CON.T08BIT = 0;// Timer0 8-bit/16-bit Control bit: 1=8-bit/ 0=16-bit
	BCF         T0CON+0, 6 
;modbus.c,245 :: 		T0CON.T0CS   = 0;// TMR0 Clock Source Select bit: 0=Internal
	BCF         T0CON+0, 5 
;modbus.c,246 :: 		T0CON.T0SE   = 0;// TMR0 Source Edge Select bit: 0=low/high
	BCF         T0CON+0, 4 
;modbus.c,247 :: 		T0CON.PSA    = 1;// Prescaler Assignment bit: 1=NOT assigned/bypassed
	BSF         T0CON+0, 3 
;modbus.c,248 :: 		T0CON.T0PS2  = 0;// bits 2-0  PS2:PS0: Prescaler Select bits
	BCF         T0CON+0, 2 
;modbus.c,249 :: 		T0CON.T0PS1  = 0;
	BCF         T0CON+0, 1 
;modbus.c,250 :: 		T0CON.T0PS0  = 0;
	BCF         T0CON+0, 0 
;modbus.c,252 :: 		bytTemp = 0;
	CLRF        modbusSerialInit_bytTemp_L0+0 
;modbus.c,253 :: 		while( lngTimeoutPreset > 29126 ) {
L_modbusSerialInit37:
	MOVLW       128
	MOVWF       R0 
	MOVLW       128
	XORWF       modbusSerialInit_lngTimeoutPreset_L0+3, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit72
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit72
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+1, 0 
	SUBLW       113
	BTFSS       STATUS+0, 2 
	GOTO        L__modbusSerialInit72
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+0, 0 
	SUBLW       198
L__modbusSerialInit72:
	BTFSC       STATUS+0, 0 
	GOTO        L_modbusSerialInit38
;modbus.c,254 :: 		lngTimeoutPreset >>= 1;
	RRCF        modbusSerialInit_lngTimeoutPreset_L0+3, 1 
	RRCF        modbusSerialInit_lngTimeoutPreset_L0+2, 1 
	RRCF        modbusSerialInit_lngTimeoutPreset_L0+1, 1 
	RRCF        modbusSerialInit_lngTimeoutPreset_L0+0, 1 
	BCF         modbusSerialInit_lngTimeoutPreset_L0+3, 7 
	BTFSC       modbusSerialInit_lngTimeoutPreset_L0+3, 6 
	BSF         modbusSerialInit_lngTimeoutPreset_L0+3, 7 
;modbus.c,255 :: 		bytTemp++;
	INCF        modbusSerialInit_bytTemp_L0+0, 1 
;modbus.c,256 :: 		}
	GOTO        L_modbusSerialInit37
L_modbusSerialInit38:
;modbus.c,257 :: 		if ( bytTemp > 0 && bytTemp <= 8 ) {
	MOVF        modbusSerialInit_bytTemp_L0+0, 0 
	SUBLW       0
	BTFSC       STATUS+0, 0 
	GOTO        L_modbusSerialInit41
	MOVF        modbusSerialInit_bytTemp_L0+0, 0 
	SUBLW       8
	BTFSS       STATUS+0, 0 
	GOTO        L_modbusSerialInit41
L__modbusSerialInit52:
;modbus.c,258 :: 		T0CON.PSA = 0;   // Prescaler assigned
	BCF         T0CON+0, 3 
;modbus.c,259 :: 		T0CON = T0CON | (--bytTemp & 0x07);
	DECF        modbusSerialInit_bytTemp_L0+0, 1 
	MOVLW       7
	ANDWF       modbusSerialInit_bytTemp_L0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	IORWF       T0CON+0, 1 
;modbus.c,260 :: 		}
L_modbusSerialInit41:
;modbus.c,261 :: 		uintMbRxGapSetPt1 = (uint)-(lngTimeoutPreset >> 1);   // 1 char
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+0, 0 
	MOVWF       R0 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+1, 0 
	MOVWF       R1 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+2, 0 
	MOVWF       R2 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+3, 0 
	MOVWF       R3 
	RRCF        R3, 1 
	RRCF        R2, 1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R3, 7 
	BTFSC       R3, 6 
	BSF         R3, 7 
	MOVF        R0, 0 
	SUBLW       0
	MOVWF       _uintMbRxGapSetPt1+0 
	MOVF        R1, 0 
	MOVWF       _uintMbRxGapSetPt1+1 
	MOVLW       0
	SUBFWB      _uintMbRxGapSetPt1+1, 1 
;modbus.c,262 :: 		uintMbRxGapSetPt2 = (uint)-lngTimeoutPreset;          // 2 chars
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+0, 0 
	SUBLW       0
	MOVWF       _uintMbRxGapSetPt2+0 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+1, 0 
	MOVWF       _uintMbRxGapSetPt2+1 
	MOVLW       0
	SUBFWB      _uintMbRxGapSetPt2+1, 1 
;modbus.c,263 :: 		uintMbRxGapSetPt3 = (uint)-(lngTimeoutPreset*5 >> 2); // 2.5 chars
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+0, 0 
	MOVWF       R0 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+1, 0 
	MOVWF       R1 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+2, 0 
	MOVWF       R2 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+3, 0 
	MOVWF       R3 
	MOVLW       5
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	RRCF        R4, 1 
	BCF         R7, 7 
	BTFSC       R7, 6 
	BSF         R7, 7 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	RRCF        R4, 1 
	BCF         R7, 7 
	BTFSC       R7, 6 
	BSF         R7, 7 
	MOVF        R4, 0 
	SUBLW       0
	MOVWF       _uintMbRxGapSetPt3+0 
	MOVF        R5, 0 
	MOVWF       _uintMbRxGapSetPt3+1 
	MOVLW       0
	SUBFWB      _uintMbRxGapSetPt3+1, 1 
;modbus.c,264 :: 		uintMbRxGapSetPt  = (uint)-(lngTimeoutPreset*9 >> 2); // 4.5 chars
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+0, 0 
	MOVWF       R0 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+1, 0 
	MOVWF       R1 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+2, 0 
	MOVWF       R2 
	MOVF        modbusSerialInit_lngTimeoutPreset_L0+3, 0 
	MOVWF       R3 
	MOVLW       9
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	RRCF        R4, 1 
	BCF         R7, 7 
	BTFSC       R7, 6 
	BSF         R7, 7 
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	RRCF        R4, 1 
	BCF         R7, 7 
	BTFSC       R7, 6 
	BSF         R7, 7 
	MOVF        R4, 0 
	SUBLW       0
	MOVWF       _uintMbRxGapSetPt+0 
	MOVF        R5, 0 
	MOVWF       _uintMbRxGapSetPt+1 
	MOVLW       0
	SUBFWB      _uintMbRxGapSetPt+1, 1 
;modbus.c,266 :: 		if ( bytStopBits != 1 ) {
	MOVF        FARG_modbusSerialInit_bytStopBits+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L_modbusSerialInit42
;modbus.c,267 :: 		TX9_bit  = 1;
	BSF         TX9_bit+0, 6 
;modbus.c,268 :: 		TX9D_bit = 1;
	BSF         TX9D_bit+0, 0 
;modbus.c,269 :: 		}
L_modbusSerialInit42:
;modbus.c,272 :: 		restartRx();
	CALL        _restartRx+0, 0
;modbus.c,273 :: 		TMR0IE_bit = 1;
	BSF         TMR0IE_bit+0, 5 
;modbus.c,275 :: 		PEIE_bit   = 1;
	BSF         PEIE_bit+0, 6 
;modbus.c,277 :: 		GIE_bit    = 1;
	BSF         GIE_bit+0, 7 
;modbus.c,278 :: 		}
L_end_modbusSerialInit:
	RETURN      0
; end of _modbusSerialInit

_restartRx:

;modbus.c,289 :: 		void restartRx(void) {
;modbus.c,291 :: 		bytMbRxphase = RCREG;
	MOVF        RCREG+0, 0 
	MOVWF       _bytMbRxphase+0 
;modbus.c,292 :: 		bytMbRxphase = RCREG;
	MOVF        RCREG+0, 0 
	MOVWF       _bytMbRxphase+0 
;modbus.c,294 :: 		CREN_bit = 0;
	BCF         CREN_bit+0, 4 
;modbus.c,295 :: 		CREN_bit = 1;
	BSF         CREN_bit+0, 4 
;modbus.c,297 :: 		Tx_dir = 0;
	BCF         LATE+0, 0 
;modbus.c,303 :: 		bytMbRxphase = 0;
	CLRF        _bytMbRxphase+0 
;modbus.c,304 :: 		bytMbIndex = 0;
	CLRF        _bytMbIndex+0 
;modbus.c,306 :: 		TXEN_bit = 0;
	BCF         TXEN_bit+0, 5 
;modbus.c,307 :: 		TXIE_bit = 0;
	BCF         TXIE_bit+0, 4 
;modbus.c,309 :: 		RCIE_bit = 1;
	BSF         RCIE_bit+0, 5 
;modbus.c,310 :: 		startTimeout();
	CALL        _startTimeout+0, 0
;modbus.c,311 :: 		}
L_end_restartRx:
	RETURN      0
; end of _restartRx

_startTimeout:

;modbus.c,322 :: 		void startTimeout(void) {
;modbus.c,324 :: 		TMR0ON_bit = 0;
	BCF         TMR0ON_bit+0, 7 
;modbus.c,326 :: 		if ( bytMbRxphase.B1 ) {
	BTFSS       _bytMbRxphase+0, 1 
	GOTO        L_startTimeout43
;modbus.c,327 :: 		TMR0H = Hi(uintMbRxGapSetPt3);
	MOVF        _uintMbRxGapSetPt3+1, 0 
	MOVWF       TMR0H+0 
;modbus.c,328 :: 		TMR0L = Lo(uintMbRxGapSetPt3);
	MOVF        _uintMbRxGapSetPt3+0, 0 
	MOVWF       TMR0L+0 
;modbus.c,329 :: 		} else if ( bytMbRxphase.B2 ) {
	GOTO        L_startTimeout44
L_startTimeout43:
	BTFSS       _bytMbRxphase+0, 2 
	GOTO        L_startTimeout45
;modbus.c,330 :: 		TMR0H = Hi(uintMbRxGapSetPt2);
	MOVF        _uintMbRxGapSetPt2+1, 0 
	MOVWF       TMR0H+0 
;modbus.c,331 :: 		TMR0L = Lo(uintMbRxGapSetPt2);
	MOVF        _uintMbRxGapSetPt2+0, 0 
	MOVWF       TMR0L+0 
;modbus.c,332 :: 		} else if ( bytMbRxphase.B7 ) {
	GOTO        L_startTimeout46
L_startTimeout45:
	BTFSS       _bytMbRxphase+0, 7 
	GOTO        L_startTimeout47
;modbus.c,333 :: 		TMR0H = Hi(uintMbRxGapSetPt1);
	MOVF        _uintMbRxGapSetPt1+1, 0 
	MOVWF       TMR0H+0 
;modbus.c,334 :: 		TMR0L = Lo(uintMbRxGapSetPt1);
	MOVF        _uintMbRxGapSetPt1+0, 0 
	MOVWF       TMR0L+0 
;modbus.c,335 :: 		} else {
	GOTO        L_startTimeout48
L_startTimeout47:
;modbus.c,336 :: 		TMR0H = Hi(uintMbRxGapSetPt);
	MOVF        _uintMbRxGapSetPt+1, 0 
	MOVWF       TMR0H+0 
;modbus.c,337 :: 		TMR0L = Lo(uintMbRxGapSetPt);
	MOVF        _uintMbRxGapSetPt+0, 0 
	MOVWF       TMR0L+0 
;modbus.c,338 :: 		}
L_startTimeout48:
L_startTimeout46:
L_startTimeout44:
;modbus.c,340 :: 		TMR0IF_bit = 0;
	BCF         TMR0IF_bit+0, 2 
;modbus.c,342 :: 		TMR0ON_bit = 1;
	BSF         TMR0ON_bit+0, 7 
;modbus.c,343 :: 		}
L_end_startTimeout:
	RETURN      0
; end of _startTimeout
